// $Id: Command.h,v 1.39 2001/12/24 17:16:42 cthuang Exp $
#ifndef COMMAND_H
#define COMMAND_H

#include "CmdNameType.h"

// This is a command object that delegates its operations to another Tcl
// command.

class Command: public InternalRep
{
    Tcl_Obj *m_pServant;
    Tcl_Obj *m_pDestructor;

public:
    Command(Tcl_Interp *interp, Tcl_Obj *pServant, Tcl_Obj *pDestructor);
    virtual ~Command();

    int execute(int objc, Tcl_Obj *CONST objv[]);
};

#endif 
